/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.PtovtaAntecipacomissaoDAO;
import com.rjconsultores.ventaboletos.entidad.PtovtaAntecipacomissao;
import com.rjconsultores.ventaboletos.service.PtovtaAntecipacomissaoService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Desenvolvimento
 */
@Service("ptovtaAntecipacomissaoService")
public class PtovtaAntecipacomissaoServiceImpl implements PtovtaAntecipacomissaoService {

    @Autowired
    private PtovtaAntecipacomissaoDAO ptovtaAntecipacomissaoDAO;

    public List<PtovtaAntecipacomissao> obtenerTodos() {
        return ptovtaAntecipacomissaoDAO.obtenerTodos();
    }

    public PtovtaAntecipacomissao obtenerID(Integer id) {
        return ptovtaAntecipacomissaoDAO.obtenerID(id);
    }

    @Transactional
    public PtovtaAntecipacomissao suscribir(PtovtaAntecipacomissao entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return ptovtaAntecipacomissaoDAO.suscribir(entidad);
    }

    @Transactional
    public PtovtaAntecipacomissao actualizacion(PtovtaAntecipacomissao entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return ptovtaAntecipacomissaoDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(PtovtaAntecipacomissao entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        ptovtaAntecipacomissaoDAO.actualizacion(entidad);
    }

    public List<PtovtaAntecipacomissao> buscar(int id) {
        return ptovtaAntecipacomissaoDAO.buscar(id);
    }

    
}
